Package org.kapott.hbci.sepa.jaxb.pain_002_002_02

## Class PaymentTransactionInformationSEPA

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.pain_002_002_02.PaymentTransactionInformationSEPA

    public class PaymentTransactionInformationSEPA
    extends java.lang.Object

Java class for PaymentTransactionInformationSEPA complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="PaymentTransactionInformationSEPA">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="StsId" type="{urn:swift:xsd:$pain.002.002.02}RestrictedIdentification1" minOccurs="0"/>
             <element name="OrgnlPmtInfId" type="{urn:swift:xsd:$pain.002.002.02}RestrictedIdentification1" minOccurs="0"/>
             <element name="OrgnlInstrId" type="{urn:swift:xsd:$pain.002.002.02}RestrictedIdentification1" minOccurs="0"/>
             <element name="OrgnlEndToEndId" type="{urn:swift:xsd:$pain.002.002.02}RestrictedIdentification2" minOccurs="0"/>
             <element name="TxSts" type="{urn:swift:xsd:$pain.002.002.02}TransactionIndividualStatus1CodeSEPA" minOccurs="0"/>
             <element name="StsRsnInf" type="{urn:swift:xsd:$pain.002.002.02}StatusReasonInformationSEPA" maxOccurs="unbounded" minOccurs="0"/>
             <element name="OrgnlTxRef" type="{urn:swift:xsd:$pain.002.002.02}OriginalTransactionReferenceSEPA"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected java.lang.String` `orgnlEndToEndId`
`protected java.lang.String` `orgnlInstrId`
`protected java.lang.String` `orgnlPmtInfId`
`protected OriginalTransactionReferenceSEPA` `orgnlTxRef`
`protected java.lang.String` `stsId`
`protected java.util.List<StatusReasonInformationSEPA>` `stsRsnInf`
`protected TransactionIndividualStatus1CodeSEPA` `txSts`

### Constructor Summary

Constructors
`PaymentTransactionInformationSEPA()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getOrgnlEndToEndId()` Gets the value of the orgnlEndToEndId property.
`java.lang.String` `getOrgnlInstrId()` Gets the value of the orgnlInstrId property.
`java.lang.String` `getOrgnlPmtInfId()` Gets the value of the orgnlPmtInfId property.
`OriginalTransactionReferenceSEPA` `getOrgnlTxRef()` Gets the value of the orgnlTxRef property.
`java.lang.String` `getStsId()` Gets the value of the stsId property.
`java.util.List<StatusReasonInformationSEPA>` `getStsRsnInf()` Gets the value of the stsRsnInf property.
`TransactionIndividualStatus1CodeSEPA` `getTxSts()` Gets the value of the txSts property.
`void` `setOrgnlEndToEndId​(java.lang.String value)` Sets the value of the orgnlEndToEndId property.
`void` `setOrgnlInstrId​(java.lang.String value)` Sets the value of the orgnlInstrId property.
`void` `setOrgnlPmtInfId​(java.lang.String value)` Sets the value of the orgnlPmtInfId property.
`void` `setOrgnlTxRef​(OriginalTransactionReferenceSEPA value)` Sets the value of the orgnlTxRef property.
`void` `setStsId​(java.lang.String value)` Sets the value of the stsId property.
`void` `setTxSts​(TransactionIndividualStatus1CodeSEPA value)` Sets the value of the txSts property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### stsId

    protected java.lang.String stsId

#### orgnlPmtInfId

    protected java.lang.String orgnlPmtInfId

#### orgnlInstrId

    protected java.lang.String orgnlInstrId

#### orgnlEndToEndId

    protected java.lang.String orgnlEndToEndId

#### txSts

    protected TransactionIndividualStatus1CodeSEPA txSts

#### stsRsnInf

    protected java.util.List<StatusReasonInformationSEPA> stsRsnInf

#### orgnlTxRef

    protected OriginalTransactionReferenceSEPA orgnlTxRef

### Constructor Detail

#### PaymentTransactionInformationSEPA

    public PaymentTransactionInformationSEPA()

### Method Detail

#### getStsId

    public java.lang.String getStsId()

Gets the value of the stsId property.

Returns:
  possible object is `String`

#### setStsId

    public void setStsId​(java.lang.String value)

Sets the value of the stsId property.

Parameters:
  `value` - allowed object is `String`

#### getOrgnlPmtInfId

    public java.lang.String getOrgnlPmtInfId()

Gets the value of the orgnlPmtInfId property.

Returns:
  possible object is `String`

#### setOrgnlPmtInfId

    public void setOrgnlPmtInfId​(java.lang.String value)

Sets the value of the orgnlPmtInfId property.

Parameters:
  `value` - allowed object is `String`

#### getOrgnlInstrId

    public java.lang.String getOrgnlInstrId()

Gets the value of the orgnlInstrId property.

Returns:
  possible object is `String`

#### setOrgnlInstrId

    public void setOrgnlInstrId​(java.lang.String value)

Sets the value of the orgnlInstrId property.

Parameters:
  `value` - allowed object is `String`

#### getOrgnlEndToEndId

    public java.lang.String getOrgnlEndToEndId()

Gets the value of the orgnlEndToEndId property.

Returns:
  possible object is `String`

#### setOrgnlEndToEndId

    public void setOrgnlEndToEndId​(java.lang.String value)

Sets the value of the orgnlEndToEndId property.

Parameters:
  `value` - allowed object is `String`

#### getTxSts

    public TransactionIndividualStatus1CodeSEPA getTxSts()

Gets the value of the txSts property.

Returns:
  possible object is `TransactionIndividualStatus1CodeSEPA`

#### setTxSts

    public void setTxSts​(TransactionIndividualStatus1CodeSEPA value)

Sets the value of the txSts property.

Parameters:
  `value` - allowed object is `TransactionIndividualStatus1CodeSEPA`

#### getStsRsnInf

    public java.util.List<StatusReasonInformationSEPA> getStsRsnInf()

Gets the value of the stsRsnInf property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the stsRsnInf property.

For example, to add a new item, do as follows:

        getStsRsnInf().add(newItem);

Objects of the following type(s) are allowed in the list `StatusReasonInformationSEPA`

#### getOrgnlTxRef

    public OriginalTransactionReferenceSEPA getOrgnlTxRef()

Gets the value of the orgnlTxRef property.

Returns:
  possible object is `OriginalTransactionReferenceSEPA`

#### setOrgnlTxRef

    public void setOrgnlTxRef​(OriginalTransactionReferenceSEPA value)

Sets the value of the orgnlTxRef property.

Parameters:
  `value` - allowed object is `OriginalTransactionReferenceSEPA`